: Class CacheSerializer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.cache
Class CacheSerializer

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.cache.CacheSerializer

Direct Known Subclasses:
  SimpleCacheSerializer

public abstract class CacheSerializer
extends java.lang.Object

Constructor Summary
`CacheSerializer()`

Method Summary
`abstract AttributeHolder` | `read(java.io.Reader reader)` Read an Attribute Holder
`abstract CacheGeneration` | `readDescription(CacheGeneration generation, java.io.Reader reader)` Read a Generation containing only CachedResourceDescription, using a specified reader.
`abstract CacheGeneration` | `readGeneration(CacheGeneration generation, java.io.Reader reader)` Read a Generation, using a specified reader
`abstract void` | `write(AttributeHolder holder, java.io.Writer writer)` Save an Attribute Holder
`abstract void` | `writeGeneration(CacheGeneration generation, java.io.Writer writer)` Save a Generation, using a specified writer
`abstract void` | `writeGenerationList(CacheStore store)` Save the list of generations (except the 'description' Generation)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheSerializer

    public CacheSerializer()

Method Detail

### writeGeneration

    public abstract void writeGeneration(CacheGeneration generation,
                                         java.io.Writer writer)
                                  throws java.io.IOException

  Save a Generation, using a specified writer
  Parameters:
    `generation,` - a CacheGeneration, the generation to be saved
    `writer,` - a Writer, the writer used to serialize this generation

### writeGenerationList

    public abstract void writeGenerationList(CacheStore store)
                                      throws java.io.IOException

  Save the list of generations (except the 'description' Generation)
  Parameters:
    `store,` - the Store to be dumped
    `writer` - a Writer, used to dump

### readGeneration

    public abstract CacheGeneration readGeneration(CacheGeneration generation,
                                                   java.io.Reader reader)
                                            throws java.io.IOException

  Read a Generation, using a specified reader
  Parameters:
    `generation,` - a CacheGeneration, the generation to be saved
    `reader,` - the Reader used to read this generation

### readDescription

    public abstract CacheGeneration readDescription(CacheGeneration generation,
                                                    java.io.Reader reader)
                                             throws java.io.IOException

  Read a Generation containing only CachedResourceDescription, using a specified reader.
  Parameters:
    `generation,` - a CacheGeneration, the generation to be 'loaded'
    `reader,` - the Reader used to read this generation

### write

    public abstract void write(AttributeHolder holder,
                               java.io.Writer writer)
                        throws java.io.IOException

  Save an Attribute Holder
  Parameters:
    `holder,` - the attribute holder
    `writer,` - a Writer, the writer used to serialize this generation

### read

    public abstract AttributeHolder read(java.io.Reader reader)
                                  throws java.io.IOException

  Read an Attribute Holder
  Parameters:
    `holder,` - the attribute holder
    `reader,` - a Reader, the reader used to read the holder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD